Subject: Re: [PATCH v2 0/5] Introduce cgit-rs, a Rust wrapper around libgit.a

From: Junio C Hamano <[email-masked]>
Date: Sat, 17 Aug 2024 18:37:24 -0700

Eric Sunshine <[email-masked]> writes:

> (The case with the CMake project files is similar. In the end, the
> people interested in utilizing them took on the responsibility of
> maintaining them.)

That is a good analogy.  We would all be slowed down if you have to
adjust CMake stuff (or autoconf stuff for that matter) when the
build procedure changes you made only to Makefile (because you only
have a ready access and expertise on the "make" proper), but in
practice, niche things that nobody cares about (and remember, if no
stakeholder is there to volunteer, you cannot force others to care
about your niche) will bitrot enough to cause somebody to care and
get fixed.  Another possibility is that it proves that nobody cares,
and we just drop that part.  Either outcome is fine in the end.

I think the Rust thing will proceed the same way.  At least, I am
sensing that this time there are already motivated to lend help from
outside the group of folks that are proposing this change.